Skip to navigation

Create Promotion

Creates a promotion. To learn more about how to create a promotion, read the Promotions Overview. For examples grouped by use case, see the promotions examples.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
Draft Coupon PromotionobjectRequired

A draft Coupon Promotion to be created. A shopper must manually apply a coupon promotion to their cart.

OR
Draft Automatic PromotionobjectRequired

A draft Automatic Promotion to be created. The store applies automatic promotions to a shopper’s cart once the promotion criteria are satisfied. The shopper cannot manually apply an automatic promotion.

Response

The requested promotion.
dataobjectOptional
metaobjectOptional
Empty meta object, which may be used at a later time.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error